Dimension de rayon TechDraw

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw Dimension Radius and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

TechDraw Dimension Radius.svg Dimension de Rayon

Emplacement du menu
TechDraw → Dimension de Rayon
Ateliers
Atelier TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Dimension de diamètre TechDraw


Description

L'outil Dimension de Rayon ajoute une dimension de rayon à une vue. La cote peut être appliquée à n'importe quel bord du dessin qui est un cercle ou un arc de cercle. La distance sera initialement la distance projetée (c'est-à-dire, comme indiqué sur le dessin), mais elle peut être remplacée par la distance 3D réelle à l'aide de l'outil TechDraw Dimension Link.svg Lier une Dimension .


TechDraw Dimension Radius example.png

Mesurer un cercle, indiquant le rayon


Comment faire

  1. Sélectionnez un cercle ou un arc de cercle dans le dessin. (Notez que certains arcs qui semblent être circulaires sont en fait des ellipses ou des BSplines. Vous ne pouvez pas créer de cote de rayon dans ces cas-là)
  2. Appuyez sur le bouton Techdraw Dimension Radius.png Dimension de rayon
  3. Une dimension sera ajoutée à la vue. La dimension peut être déplacée à la position désirée.

Limitations

Les objets de dimension sont vulnérables aux problèmes de "nommage topologique". Consultez les informations de l'outil TechDraw Dimension Length pour plus d'informations.

Propriétés

Cet objet a les mêmes propriétés que l'outil TechDraw Dimension Length. Voir cet outil pour plus de détails.

Script

Voir aussi: TechDraw API et FreeCAD Scripting Basics.

L'outil Dimension Radius peut être utilisé dans des macros et à partir de la console Python à l'aide des fonctions suivantes:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Radius"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)